List your voice agents

Your voice agents, newest first. page and page_size (1 to 100, default 20) page the list. Signing secrets are never listed.

GET
/v3/voice/agents

Query Parameters

page*integer

Page number, from 1

Formatint32
page_size*integer
Formatint32

Header Parameters

x-profile-id?string

Profile UUID to scope the request to a child profile. Only organization API keys can use this header. The profile must belong to the calling organization.

Formatuuid

Response Body

The page of agents

application/json
  1. response

Standard API response envelope for all v3 endpoints

success?boolean

Indicates whether the request was successful

data?|null

The response data (null if error)

error?|null

Error details (null if successful)

meta?

Metadata about the request and response

Example Request
curl -X GET 'https://api.sent.dm/v3/voice/agents?page=0&page_size=0'
Example Response
{  "success": true,  "data": {    "agents": [      {        "id": "string",        "name": "string",        "session_type": "string",        "websocket_url": "string",        "speech": {          "setting": "string",          "voice": "string",          "language": "string"        },        "audio": {          "sample_rate": 0        },        "greeting": "string",        "tools": [          "string"        ],        "transfer_targets": [          {            "kind": "string",            "value": "string"          }        ],        "fallback": {          "kind": "string",          "value": "string"        },        "limits": {          "max_call_seconds": 0,          "max_concurrent_calls": 0,          "allowed_countries": [            "string"          ]        },        "transcripts": {          "store": true,          "retention_days": 0        },        "signing_secret": "string",        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z"      }    ],    "pagination": {      "page": 0,      "page_size": 0,      "total_count": 0,      "total_pages": 0,      "has_more": true,      "cursors": {        "after": "string",        "before": "string"      }    }  },  "error": {    "code": "string",    "message": "string",    "details": {      "property1": [        "string"      ],      "property2": [        "string"      ]    },    "doc_url": "string"  },  "meta": {    "request_id": "string",    "timestamp": "2019-08-24T14:15:22Z",    "version": "string"  }}